Message
Date: 2015-09-19

javax.jms

## Interface Message

- All Known Subinterfaces:
    BytesMessage, MapMessage, ObjectMessage, StreamMessage, TextMessage

      public interface Message

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_DELIVERY_MODE`
    `static int` | `DEFAULT_PRIORITY`
    `static long` | `DEFAULT_TIME_TO_LIVE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acknowledge()`
    `void` | `clearBody()`
    `void` | `clearProperties()`
    `boolean` | `getBooleanProperty(java.lang.String name)`
    `byte` | `getByteProperty(java.lang.String name)`
    `double` | `getDoubleProperty(java.lang.String name)`
    `float` | `getFloatProperty(java.lang.String name)`
    `int` | `getIntProperty(java.lang.String name)`
    `java.lang.String` | `getJMSCorrelationID()`
    `byte[]` | `getJMSCorrelationIDAsBytes()`
    `int` | `getJMSDeliveryMode()`
    `Destination` | `getJMSDestination()`
    `long` | `getJMSExpiration()`
    `java.lang.String` | `getJMSMessageID()`
    `int` | `getJMSPriority()`
    `boolean` | `getJMSRedelivered()`
    `Destination` | `getJMSReplyTo()`
    `long` | `getJMSTimestamp()`
    `java.lang.String` | `getJMSType()`
    `long` | `getLongProperty(java.lang.String name)`
    `java.lang.Object` | `getObjectProperty(java.lang.String name)`
    `java.util.Enumeration` | `getPropertyNames()`
    `short` | `getShortProperty(java.lang.String name)`
    `java.lang.String` | `getStringProperty(java.lang.String name)`
    `boolean` | `propertyExists(java.lang.String name)`
    `void` | `setBooleanProperty(java.lang.String name, boolean value)`
    `void` | `setByteProperty(java.lang.String name, byte value)`
    `void` | `setDoubleProperty(java.lang.String name, double value)`
    `void` | `setFloatProperty(java.lang.String name, float value)`
    `void` | `setIntProperty(java.lang.String name, int value)`
    `void` | `setJMSCorrelationID(java.lang.String correlationID)`
    `void` | `setJMSCorrelationIDAsBytes(byte[] correlationID)`
    `void` | `setJMSDeliveryMode(int deliveryMode)`
    `void` | `setJMSDestination(Destination destination)`
    `void` | `setJMSExpiration(long expiration)`
    `void` | `setJMSMessageID(java.lang.String id)`
    `void` | `setJMSPriority(int priority)`
    `void` | `setJMSRedelivered(boolean redelivered)`
    `void` | `setJMSReplyTo(Destination replyTo)`
    `void` | `setJMSTimestamp(long timestamp)`
    `void` | `setJMSType(java.lang.String type)`
    `void` | `setLongProperty(java.lang.String name, long value)`
    `void` | `setObjectProperty(java.lang.String name, java.lang.Object value)`
    `void` | `setShortProperty(java.lang.String name, short value)`
    `void` | `setStringProperty(java.lang.String name, java.lang.String value)`

- - ### Field Detail

    - #### DEFAULT_DELIVERY_MODE

          static final int DEFAULT_DELIVERY_MODE

      See Also:
        Constant Field Values

    - #### DEFAULT_PRIORITY

          static final int DEFAULT_PRIORITY

      See Also:
        Constant Field Values

    - #### DEFAULT_TIME_TO_LIVE

          static final long DEFAULT_TIME_TO_LIVE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getJMSMessageID

          java.lang.String getJMSMessageID()
                                           throws JMSException

      Throws:
        `JMSException`

    - #### setJMSMessageID

          void setJMSMessageID(java.lang.String id)
                               throws JMSException

      Throws:
        `JMSException`

    - #### getJMSTimestamp

          long getJMSTimestamp()
                               throws JMSException

      Throws:
        `JMSException`

    - #### setJMSTimestamp

          void setJMSTimestamp(long timestamp)
                               throws JMSException

      Throws:
        `JMSException`

    - #### getJMSCorrelationIDAsBytes

          byte[] getJMSCorrelationIDAsBytes()
                                            throws JMSException

      Throws:
        `JMSException`

    - #### setJMSCorrelationIDAsBytes

          void setJMSCorrelationIDAsBytes(byte[] correlationID)
                                          throws JMSException

      Throws:
        `JMSException`

    - #### setJMSCorrelationID

          void setJMSCorrelationID(java.lang.String correlationID)
                                   throws JMSException

      Throws:
        `JMSException`

    - #### getJMSCorrelationID

          java.lang.String getJMSCorrelationID()
                                               throws JMSException

      Throws:
        `JMSException`

    - #### getJMSReplyTo

          Destination getJMSReplyTo()
                                    throws JMSException

      Throws:
        `JMSException`

    - #### setJMSReplyTo

          void setJMSReplyTo(Destination replyTo)
                             throws JMSException

      Throws:
        `JMSException`

    - #### getJMSDestination

          Destination getJMSDestination()
                                        throws JMSException

      Throws:
        `JMSException`

    - #### setJMSDestination

          void setJMSDestination(Destination destination)
                                 throws JMSException

      Throws:
        `JMSException`

    - #### getJMSDeliveryMode

          int getJMSDeliveryMode()
                                 throws JMSException

      Throws:
        `JMSException`

    - #### setJMSDeliveryMode

          void setJMSDeliveryMode(int deliveryMode)
                                  throws JMSException

      Throws:
        `JMSException`

    - #### getJMSRedelivered

          boolean getJMSRedelivered()
                                    throws JMSException

      Throws:
        `JMSException`

    - #### setJMSRedelivered

          void setJMSRedelivered(boolean redelivered)
                                 throws JMSException

      Throws:
        `JMSException`

    - #### getJMSType

          java.lang.String getJMSType()
                                      throws JMSException

      Throws:
        `JMSException`

    - #### setJMSType

          void setJMSType(java.lang.String type)
                          throws JMSException

      Throws:
        `JMSException`

    - #### getJMSExpiration

          long getJMSExpiration()
                                throws JMSException

      Throws:
        `JMSException`

    - #### setJMSExpiration

          void setJMSExpiration(long expiration)
                                throws JMSException

      Throws:
        `JMSException`

    - #### getJMSPriority

          int getJMSPriority()
                             throws JMSException

      Throws:
        `JMSException`

    - #### setJMSPriority

          void setJMSPriority(int priority)
                              throws JMSException

      Throws:
        `JMSException`

    - #### clearProperties

          void clearProperties()
                               throws JMSException

      Throws:
        `JMSException`

    - #### propertyExists

          boolean propertyExists(java.lang.String name)
                                 throws JMSException

      Throws:
        `JMSException`

    - #### getBooleanProperty

          boolean getBooleanProperty(java.lang.String name)
                                     throws JMSException

      Throws:
        `JMSException`

    - #### getByteProperty

          byte getByteProperty(java.lang.String name)
                               throws JMSException

      Throws:
        `JMSException`

    - #### getShortProperty

          short getShortProperty(java.lang.String name)
                                 throws JMSException

      Throws:
        `JMSException`

    - #### getIntProperty

          int getIntProperty(java.lang.String name)
                             throws JMSException

      Throws:
        `JMSException`

    - #### getLongProperty

          long getLongProperty(java.lang.String name)
                               throws JMSException

      Throws:
        `JMSException`

    - #### getFloatProperty

          float getFloatProperty(java.lang.String name)
                                 throws JMSException

      Throws:
        `JMSException`

    - #### getDoubleProperty

          double getDoubleProperty(java.lang.String name)
                                   throws JMSException

      Throws:
        `JMSException`

    - #### getStringProperty

          java.lang.String getStringProperty(java.lang.String name)
                                             throws JMSException

      Throws:
        `JMSException`

    - #### getObjectProperty

          java.lang.Object getObjectProperty(java.lang.String name)
                                             throws JMSException

      Throws:
        `JMSException`

    - #### getPropertyNames

          java.util.Enumeration getPropertyNames()
                                                 throws JMSException

      Throws:
        `JMSException`

    - #### setBooleanProperty

          void setBooleanProperty(java.lang.String name,
                                boolean value)
                                  throws JMSException

      Throws:
        `JMSException`

    - #### setByteProperty

          void setByteProperty(java.lang.String name,
                             byte value)
                               throws JMSException

      Throws:
        `JMSException`

    - #### setShortProperty

          void setShortProperty(java.lang.String name,
                              short value)
                                throws JMSException

      Throws:
        `JMSException`

    - #### setIntProperty

          void setIntProperty(java.lang.String name,
                            int value)
                              throws JMSException

      Throws:
        `JMSException`

    - #### setLongProperty

          void setLongProperty(java.lang.String name,
                             long value)
                               throws JMSException

      Throws:
        `JMSException`

    - #### setFloatProperty

          void setFloatProperty(java.lang.String name,
                              float value)
                                throws JMSException

      Throws:
        `JMSException`

    - #### setDoubleProperty

          void setDoubleProperty(java.lang.String name,
                               double value)
                                 throws JMSException

      Throws:
        `JMSException`

    - #### setStringProperty

          void setStringProperty(java.lang.String name,
                               java.lang.String value)
                                 throws JMSException

      Throws:
        `JMSException`

    - #### setObjectProperty

          void setObjectProperty(java.lang.String name,
                               java.lang.Object value)
                                 throws JMSException

      Throws:
        `JMSException`

    - #### acknowledge

          void acknowledge()
                           throws JMSException

      Throws:
        `JMSException`

    - #### clearBody

          void clearBody()
                         throws JMSException

      Throws:
        `JMSException`